using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsDeviceTypeUsingEnergy {
        //가동설비별 에너지 사용량
        [Display(Name = "가동설비 타입"), Key]
        public int DeviceTypeId { get; set; }
        [Display(Name = "에너지 구분"), Key]
        public short FuelTypeId { get; set; }
        [Display(Name = "고지단가 계약 구분")]
        public short? ContractType { get; set; }
        [Display(Name = "단위 사용량")]
        public double? Amount { get; set; }

        [ForeignKey("FuelTypeId,ContractType")]
        public virtual BemsNoticePriceContractType BemsNoticePriceContractType { get; set; }
        [ForeignKey("DeviceTypeId")]
        public virtual BemsDeviceType DeviceType { get; set; }
        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
    }
}
